/* PRESENTATION SECTION */
.container--home{
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  background-image: url('../assets/img/covers/Bg_bl_l.svg');
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
}

.home--text{
  margin-left: 30px;
  z-index: 2;
  opacity: 0;
  transition: opacity 2s ease-in-out;
  font-family: var(--Futura_Round-Medium);
  font-size: 16pt;
}
.home--text p{
  font-size: 40pt;
  font-family: var(--Futura_Round-Bold);
  line-height: 40pt;
}
.home--text div{
  background-color: var(--DarkBlueColor);
  padding: 5px 15px;
  width: fit-content;
  border-radius: 15px;
  cursor: pointer;
  & a{
    text-decoration: none;
    color: var(--WhiteColor);
  }
}

.home--vector{
  width: 100%;
  height: calc(100% - 100px);
  background-image: url('../assets/img/vector/Home_microscopio.svg');
  background-position: right;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  z-index: 1;
  bottom: 0;
  animation: homeVectorAnimation 8s infinite;
}

@keyframes homeVectorAnimation {
  0%{
      transform: translateY(0%);
  }
  50%{
      transform: translateY(-3%);
  }
  100%{
      transform: translateY(0%);
  }
}


/* SERVICES SECTION */
.container--services{
  margin: 50px 0;
  padding: 20px;
}
.services--desc{
  width: 100%;
  height: 60vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-right: 30px;
  text-align: right;
  background-image: url('../assets/img/vector/LAC_home_services.svg');
  background-position: 10%;
  background-repeat: no-repeat;
  background-size: contain;
  color: var(--BlackColor);
  transform: translateX(-100%);
  transition:
    transform 1s ease-in-out;
}
.services--desc p:nth-child(1) {
  font-size: 35pt;
  color: var(--LightBlueColor);
  font-family: var(--Futura_Round-Bold);
  line-height: 40pt;
}
.services--desc p{
  opacity: 0;
  transition: opacity 2s ease-in-out;
  line-height: 25pt;
}

.services--list{
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  padding: 0 50px;
  color: var(--BlackColor);
  transform: translateX(100%);
  transition:
    transform 1s ease-in-out;
}
.service--card{
  width: 150px;
  height: 250px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  background-color: var(--WhiteColor);
  cursor: pointer;
}
.service--icon{
  width: 70%;
  height: 40%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  filter: grayscale(0%);
  transition: filter .3s ease-in-out;
}
.service--card:nth-child(1) .service--icon{
  background-image: url('../assets/icons/an_cli.svg');
}
.service--card:nth-child(2) .service--icon{
  background-image: url('../assets/icons/bio_moc.svg');
}
.service--card:nth-child(3) .service--icon{
  background-image: url('../assets/icons/an_mic.svg');
}
.service--card:nth-child(4) .service--icon{
  background-image: url('../assets/icons/an_his.svg');
}
.service--card:nth-child(5) .service--icon{
  background-image: url('../assets/icons/cot_per.svg');
}
.service--name{
  text-align: center;
  color: var(--GreyColor);
  transition: color .3s ease-in-out;
}
.service--card:hover > .service--name{
  color: var(--BlackColor);
}.service--card:hover > .service--icon{
  filter: grayscale(100%);
}

.services--more{
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: end;
  align-items: center;
  padding-right: 90px;
}
.more--button{
  background-color: var(--LightBlueColor);
  display: flex;
  gap: 10px;
  padding: 10px 15px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  box-shadow: 3px 3px 5px var(--GreyColor);
  cursor: pointer;
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
.next--arrow{
  width: 15px;
  height: 20px;
  background-image: url('../assets/icons/next_arrow_wh.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

/* HOW WE WORK */
.container--howwork{
  padding: 50px;
  background-color: var(--LightBlueColor);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
  & p{
    text-align: center;
    font-family: var(--Futura_Round-Medium);
  }
}

.howwork--title{
  font-size: 40pt;
  text-align: center;
  font-family: var(--Futura_Round-Bold);
  line-height: 35pt;
}

.howwork--list{
  width: 100%;
  height: auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  color: var(--BlackColor);
  gap: 20px;
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
.howwork--card{
  background-color: var(--WhiteColor);
  width: 200px;
  height: 350px;
  display: flex;
  padding: 20px 10px;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  gap: 10px;
  border-top-left-radius: 40px;
  border-top-right-radius: 40px;
  border-bottom-right-radius: 40px;
}
.howwork--icon{
  width: 100px;
  height: 100px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}
.howwork--card:nth-child(1) .howwork--icon{
  background-image: url('../assets/icons/analisis_icon.svg');
}
.howwork--card:nth-child(2) .howwork--icon{
  background-image: url('../assets/icons/agendar_icon.svg');
}
.howwork--card:nth-child(3) .howwork--icon{
  background-image: url('../assets/icons/sucursal_icon.svg');
}
.howwork--card:nth-child(4) .howwork--icon{
  background-image: url('../assets/icons/resultados_icon.svg');
}

.howwork--step{
  font-size: 14pt;
  text-align: center;
  font-family: var(--Pangram_ExtraBold);
}
.howwork--desc{
  font-size: 10pt;
  text-align: center;
  padding: 20px 5px;
}

/* FREQUENT QUESTIONS */
.container--questions{
  height: auto;
  padding: 100px;
  margin: 50px 0;
  padding: 50px 20px;
  background-image: url('../assets/img/vector/LAC_home_quick_answers.svg');
  background-position: center right;
  background-repeat: no-repeat;
  background-size: 45%;
  color: var(--BlackColor);
  transform: translateX(-100%);
  transition: transform 1s ease-in-out;
}
.questions--title{
  color: var(--LightBlueColor);
  border-left: var(--LightBlueColor) 10px solid;
  font-size: 40pt;
  line-height: 50px;
  padding-left: 10px;
  transform: translateX(-120%);
  transition: transform 1s ease-in-out;
  font-family: var(--Futura_Round-Bold);
}
.questions--list{
  width: 50%;
  height: auto;
  transform: translateX(-120%);
  transition: transform 1s ease-in-out;
}
.question_cont{
  margin: 20px 0;
}
.question_cont div:nth-child(1){
  background-color: var(--ExtraLightBlueColor);
  font-family: var(--Pangram_ExtraBold);
  padding: 10px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  & div{
    width: 15px;
    height: 15px;
    background-image: url('../assets/icons/down_arrow_db.svg');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    padding: 0;
  }
}
.question_cont div:last-of-type{
  font-family: var(--Pangram_Medium);
  color: var(--BlackColor);
  /* height: 125px; */
  /* padding: 20px; */
  overflow: hidden;
  height: 0px;
  padding: 0px ;
  transition:
    height .5s ease-in-out,
    padding .5s ease-in-out;
}

.container--services,.container--howwork,.container--questions{
  overflow: hidden;
}

@media screen and (max-width:768px){
  .container--home{
    justify-content: start;
    align-items:start;
    height: 80vh;
  }
  .home--vector{
    animation: none;
    height: 50%;
    background-position: center;
    animation: homeVectorAnimationScale 10s infinite;
  }
  .home--text{
    margin-top: 10%;
    margin-left: 5%;
    text-align: left;
  }

  .container--services{
    margin: 10px;
    padding: 0px;
  }
  .services--desc{
    text-align: center;
    background-image: none;
    color: var(--BlackColor);
  }

  .container--howwork{
    padding: 20px 10px;
    justify-content: start;
    align-items: center;
    gap: 30px;
  }
  
  .howwork--title{
    font-size: 20pt;
  }

  .container--questions{
    background-image: none;
    margin: 0;
    padding: 30px 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
  }
  .questions--list{
    width: 100%;
  }
  .question--title{
    font-size: 20pt;
    display: flex;
    justify-content: space-between;
    background-color: transparent;
    cursor: pointer;
  }
  .services--desc{
    padding: 10px;
  }
  .services--desc p:nth-child(1) {
    font-size: 30pt;
    color: var(--LightBlueColor);
    line-height: 30pt;
  }
}

@media screen and (max-width:480px){
  .home--text{
    margin-top: 15%;
    width: 100%;
    & p{
      font-size: 20pt;
      line-height: 25pt;
    }
    & span{
      font-size: 12pt;
      font-family: var(--Pangram_Medium);
    }
  }
}